Skip to content
Kapten
Esc
↑↓navigate↵open⌘Jpreview

Update an organization

Requires organization:update.

PATCH/organizations/{organizationId}
Authorization
AuthorizationBearer token (JWT) · headerrequired

An access token issued by this service (RFC 9068), in the Authorization header as Bearer <token>.

Path parameters
organizationIdstring<uuid>required
Request body
requiredapplication/json
namestring
min length 1 · max length 100
slugstring
matches ^[a-z0-9]([a-z0-9-]{0,61}[a-z0-9])?$
Responses
200

The updated organization.

idstring<uuid>required
namestringrequired
slugstringrequired

URL-safe handle, unique across organizations.

created_atstring<date-time>required
updated_atstring<date-time>required
default

The request failed.

errorstringrequired

Stable machine-readable code.

Allowed:invalid_requestunauthorizedforbiddennot_foundconflictgoneunavailableinternal
messagestringrequired

Human-readable explanation.

Request
curl -X PATCH 'https://auth.kapten.io/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "slug": "string"
}'
Response
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "slug": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}

Was this page helpful?